//////////////////////////////////////////////////////////////////////////////////////
//  
//  FMTemplate.r - Minimum recommended Mac OS resources for FileMaker plug-ins
//
//  Modified public version distributed as part of 24U FM Template 1.1
//  
//  Copyright 2002-2004 by 24U Software. All rights reserved.
//
//  Written by Tomas Zahradnicky
//
////////////////////////////////////////////////////////////////////////////////
//
//  24U Sample Code - Terms of use
//
//  You may incorporate this sample code into your products without
//  restriction, though the code has been provided "AS IS" and the
//  responsibility for its operation is 100% yours.
//
//  You are not however permitted to redistribute the source
//  as "24U Sample Code" after having made changes.
//
//  If you are going to redistribute the source, we require that
//  you make it clear in the source that the code was descended from
//  24U Sample Code, but that you've made changes.
//
//  If you incorporate this sample code into your own product which you
//  distribute, you must include the following statement in the copyright
//  notices of your documentation: "Portions of the software are based
//  on 24U Sample Code which is copyright 2002-2004 by 24U Software.
//  All rights reserved."
//
////////////////////////////////////////////////////////////////////////

//
//  This source file was derived from FileMaker template plug-in provided
//  by FileMaker, Inc. as a part of FileMaker Pro 4.0 Developer Edition.
//
////////////////////////////////////////////////////////////////////////////////

//
//  Add this file to the Mac, FAT, and SuperFAT versions of your plug-in.
//  It will generate the minimum set of resources recommended for FileMaker Pro
//  plug-ins on the Mac OS. You should not need to modify this file as all the
//  important constats are defined in the MacWinDefs.h file.
//
////////////////////////////////////////////////////////////////////////////////


#define SystemSevenOrLater 1
#include <Types.r>
#include <SysTypes.r>
#include <Dialogs.r>
#include "MacWinDefs.h"         

#if WANT_PREFS
    #define PLUGIN_PREFS    "Y"
#else
    #define PLUGIN_PREFS    "n"
#endif

#if WANT_IDLE
    #define PLUGIN_IDLE "Y"
#else
    #define PLUGIN_IDLE "n"
#endif

#define CONFIG_STRING   PLUGIN_PREFIX "1" PLUGIN_PREFS "YY" PLUGIN_IDLE "nn"
            
type CREATOR as 'STR ';
resource CREATOR (23000, purgeable) {
    $$format("%s %s", PLUGIN_NAME, PLUGIN_VERSION)
};


resource 'STR#' (128, purgeable) { {
    PLUGIN_NAME,
    $$format("%s",PLUGIN_INFO),
    "",             // Leave empty
    CONFIG_STRING   // <4 char creator> <always 1> <app prefs> <has external functions> <always Y> <idle> <always n> <Win32s>
} };

resource 'STR#' (144, purgeable) { {
    #ifdef FUNCTION_1_NAME
      FUNCTION_1_NAME
    
      #ifdef FUNCTION_2_NAME
        , FUNCTION_2_NAME
        
        #ifdef FUNCTION_3_NAME
          , FUNCTION_3_NAME
        
          #ifdef FUNCTION_4_NAME
            , FUNCTION_4_NAME
            
            #ifdef FUNCTION_5_NAME
              , FUNCTION_5_NAME
        
              #ifdef FUNCTION_6_NAME
                , FUNCTION_6_NAME
                
                #ifdef FUNCTION_7_NAME
                  , FUNCTION_7_NAME
                  
                  #ifdef FUNCTION_8_NAME
                    , FUNCTION_8_NAME
                    
                    #ifdef FUNCTION_9_NAME
                      , FUNCTION_9_NAME
                    
                    #endif
                  #endif
                #endif
              #endif
            #endif
          #endif
        #endif
      #endif
    #endif
} };




resource 'BNDL' (23000, purgeable) {
    CREATOR,
    0,
    {   // array TypeArray: 2 elements
        // [1]
        'FREF',
        {   // array IDArray: 1 elements
            // [1]
            0, 23000
        },
        // [2]
        'ICN#',
        {   // array IDArray: 1 elements
            // [1]
            0, 23000
        }
    }
};



resource 'FREF' (23000, purgeable) {
    FILE_TYPE,
    0,
    ""
};

resource 'icl4' (23000, purgeable) {
    $"1212 1212 1212 1212 1212 1212 1212 1212"
    $"2121 2121 2121 2121 2121 2121 2121 2121"
    $"1200 0000 0000 0000 0000 0000 0000 0012"
    $"2100 0000 0000 0000 0000 0000 0000 0021"
    $"1200 0000 0000 0002 1212 1212 1210 0012"
    $"2100 0000 0000 0001 2121 2121 2126 0021"
    $"1200 0000 0000 0006 6666 1266 6216 0012"
    $"2100 0000 0000 0000 0000 2160 0126 0021"
    $"1200 0000 0000 0002 1212 1260 0216 0012"
    $"2100 0000 0000 0001 2121 2121 2126 0021"
    $"1200 0000 0000 0006 6666 1212 1216 0012"
    $"2100 0000 0000 0000 0000 2166 6666 0021"
    $"1200 0000 0000 0000 0000 1260 0000 0012"
    $"2100 0000 0FF0 0000 0000 2160 0000 0021"
    $"1200 0000 0F0F F000 0000 1260 0000 0012"
    $"2100 FFC0 F110 0FF0 0000 2160 0000 0021"
    $"1200 FCFF F111 100F F000 0000 0000 0012"
    $"2100 FDCC FFFF 1110 0FF0 0000 0000 0021"
    $"1200 0FDD CCCC F111 100F 0000 0000 0012"
    $"2100 0FDD DDDC CF11 111F 0000 0000 0021"
    $"1200 00FD DDDD CF11 111F 0000 0000 0012"
    $"2100 00FD DDDD CCF1 11F0 0000 0000 0021"
    $"1200 000F DDDD DCF1 11F0 0002 1212 1212"
    $"2100 000F DDDD DCF1 11F0 0001 2121 2121"
    $"1200 0000 FFDD DCCF 1FFF DC02 1000 0210"
    $"2100 0000 00FF DDCF 1FFF D001 2000 0120"
    $"1200 0000 0000 FFCF 1FFC 0002 1000 0210"
    $"2100 0000 0000 00FF FFC0 0001 2000 0120"
    $"1200 0000 0000 0000 0000 0002 1212 1210"
    $"2100 0000 0000 0000 0000 0001 2121 2120"
    $"1212 1212 1212 1212 1212 1212 1000 0000"
    $"2121 2121 2121 2121 2121 2121 20"
};



resource 'icl8' (23000, purgeable) {
    $"0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F"
    $"0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F"
    $"0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F"
    $"0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 0000"
    $"0000 0000 0000 0000 0000 0000 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 0000"
    $"0000 0000 0000 0000 0000 0000 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 0009"
    $"0909 0909 0909 0909 0909 0900 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 0009"
    $"0909 0909 0909 0909 0909 095E 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 005E"
    $"5E5E 5E5E 0909 5E5E 5E09 095E 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 0000"
    $"0000 0000 0909 5E00 0009 095E 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 0009"
    $"0909 0909 0909 5E00 0009 095E 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 0009"
    $"0909 0909 0909 0909 0909 095E 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 005E"
    $"5E5E 5E5E 0909 0909 0909 095E 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 0000"
    $"0000 0000 0909 5E5E 5E5E 5E5E 0000 0F0F"
    $"0F0F 0000 0000 0000 0000 0000 0000 0000"
    $"0000 0000 0909 5E00 0000 0000 0000 0F0F"
    $"0F0F 0000 0000 0000 00FF FF00 0000 0000"
    $"0000 0000 0909 5E00 0000 0000 0000 0F0F"
    $"0F0F 0000 0000 0000 00FF 09FF FF00 0000"
    $"0000 0000 0909 5E00 0000 0000 0000 0F0F"
    $"0F0F 0000 FFFF 5500 FF09 0909 09FF FF00"
    $"0000 0000 0909 5E00 0000 0000 0000 0F0F"
    $"0F0F 0000 FF55 FFFF FF09 0909 0909 09FF"
    $"FF00 0000 0000 0000 0000 0000 0000 0F0F"
    $"0F0F 0000 FF7F 5555 FFFF FFFF 0109 0909"
    $"09FF FF00 0000 0000 0000 0000 0000 0F0F"
    $"0F0F 0000 00FF 7F7F 5555 5555 FF01 0901"
    $"0909 09FF 0000 0000 0000 0000 0000 0F0F"
    $"0F0F 0000 00FF 7F7F 7F80 7F55 55FF 0109"
    $"0109 09FF 0000 0000 0000 0000 0000 0F0F"
    $"0F0F 0000 0000 FF7F 7F7F 8080 55FF 0001"
    $"0901 09FF 0000 0000 0000 0000 0000 0F0F"
    $"0F0F 0000 0000 FF7F 7F7F 7F7F 5555 FF00"
    $"0109 FF00 0000 0000 0000 0000 0000 0F0F"
    $"0F0F 0000 0000 00FF 807F 7F80 8055 FF01"
    $"0909 FF00 0000 000F 0F0F 0F0F 0F0F 0F0F"
    $"0F0F 0000 0000 00FF 7F80 7F80 7F55 FF01"
    $"0109 FFF5 F5F5 000F 0F0F 0F0F 0F0F 0F00"
    $"0F0F 0000 0000 0000 FFFF 7F80 7F55 55FF"
    $"09FF FEFE F9F7 000F 0F00 0000 000F 0F00"
    $"0F0F 0000 0000 0000 0000 FFFF 7F7F 55FF"
    $"09FF FEFE F900 000F 0F00 0000 000F 0F00"
    $"0F0F 0000 0000 0000 0000 0000 FFFF 55FF"
    $"09FF FEF7 0000 000F 0F00 0000 000F 0F00"
    $"0F0F 0000 0000 0000 0000 0000 0000 FFFF"
    $"FFFF F700 0000 000F 0F00 0000 000F 0F00"
    $"0F0F 0000 0000 0000 0000 0000 0000 0000"
    $"0000 0000 0000 000F 0F0F 0F0F 0F0F 0F00"
    $"0F0F 0000 0000 0000 0000 0000 0000 0000"
    $"0000 0000 0000 000F 0F0F 0F0F 0F0F 0F00"
    $"0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F"
    $"0F0F 0F0F 0F0F 0F0F 0F00 0000 0000 0000"
    $"0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F 0F0F"
    $"0F0F 0F0F 0F0F 0F0F 0F"
};



resource 'ICN#' (23000, purgeable) {
    {   // array: 2 elements
        // [1]
        $"FFFF FFFF FFFF FFFF C000 0003 C000 0003"
        $"C001 5543 C000 AAB3 C001 F7D3 C000 0A33"
        $"C001 5653 C000 AAB3 C001 F553 C000 0BF3"
        $"C000 0603 C060 0A03 C058 0603 CC86 0A03"
        $"CB81 8003 CCF0 6003 C708 1003 C7F4 1003"
        $"C3F4 1003 C3FA 2003 C1FA 21FF C1FA 21FF"
        $"C0FD 7186 C03D 7186 C00F 6186 C003 C186"
        $"C000 01FE C000 01FE FFFF FF80 FFFF FF80",
        // [2]
        $"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
        $"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
        $"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
        $"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
        $"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
        $"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFE"
        $"FFFF FFFE FFFF FFFE FFFF FFFE FFFF FFFE"
        $"FFFF FFFE FFFF FFFE FFFF FF80 FFFF FF80"
    }
};



resource 'ics#' (23000, purgeable) {
    {   // array: 2 elements
        // [1]
        $"FFFF FFFF C003 C00B C00B DCCB C08B C00B"
        $"C00B DCFB C083 C083 C0FF C043 FFFF FFFF",
        // [2]
        $"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
        $"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
    }
};



resource 'ics4' (23000, purgeable) {
    $"2121 2121 2121 2121 1212 1212 1212 1212"
    $"2100 0000 0000 0021 1202 1212 1212 3012"
    $"2101 2121 2121 3021 1203 3312 3312 3012"
    $"2100 0021 3021 3021 1202 1212 1212 3012"
    $"2101 2121 2121 3021 1203 3312 3333 3012"
    $"2100 0021 3000 0021 1200 0012 3000 0012"
    $"2100 0021 3021 2121 1200 0000 0010 0012"
    $"2121 2121 2121 2121 1212 1212 1212 1212"
};



resource 'ics8' (23000, purgeable) {
    $"1010 1010 1010 1010 1010 1010 1010 1010"
    $"1010 1010 1010 1010 1010 1010 1010 1010"
    $"1010 0000 0000 0000 0000 0000 0000 1010"
    $"1010 0010 1010 1010 1010 1010 3B00 1010"
    $"1010 0010 1010 1010 1010 1010 3B00 1010"
    $"1010 003B 3B3B 1010 3B3B 1010 3B00 1010"
    $"1010 0000 0000 1010 3B00 1010 3B00 1010"
    $"1010 0010 1010 1010 1010 1010 3B00 1010"
    $"1010 0010 1010 1010 1010 1010 3B00 1010"
    $"1010 003B 3B3B 1010 3B3B 3B3B 3B00 1010"
    $"1010 0000 0000 1010 3B00 0000 0000 1010"
    $"1010 0000 0000 1010 3B00 0000 0000 1010"
    $"1010 0000 0000 1010 3B00 1010 1010 1010"
    $"1010 0000 0000 0000 0000 1000 0000 1010"
    $"1010 1010 1010 1010 1010 1010 1010 1010"
    $"1010 1010 1010 1010 1010 1010 1010 1010"
};



resource 'ICON' (23000, purgeable) {
    $"FFFF FFFF FFFF FFFF C000 0003 C000 0003"
    $"C001 5543 C000 AAB3 C001 F7D3 C000 0A33"
    $"C001 5653 C000 AAB3 C001 F553 C000 0BF3"
    $"C000 0603 C060 0A03 C058 0603 CC86 0A03"
    $"CB81 8003 CCF0 6003 C708 1003 C7F4 1003"
    $"C3F4 1003 C3FA 2003 C1FA 21FF C1FA 21FF"
    $"C0FD 7186 C03D 7186 C00F 6186 C003 C186"
    $"C000 01FE C000 01FE FFFF FF80 FFFF FF80"
};

resource 'ALRT' (STUB_ALERT_ID, purgeable) {
    {0x0131, 0x0112, 0x01C9, 0x029E},
    STUB_ALERT_ID,
    {
        OK, visible, sound1, 
        OK, visible, sound1, 
        OK, visible, sound1, 
        OK, visible, sound1
    },
    alertPositionMainScreen
};

resource 'DITL' (STUB_ALERT_ID, purgeable) {
    {
        {0x0070, 0x0134, 0x0084, 0x0178},
        Button {enabled, "OK"},
        
        {0x0008, 0x0040, 0x0060, 0x017C},
        StaticText {enabled, STUB_ALERT_TEXT}
    }   
};

resource 'alrx' (STUB_ALERT_ID, purgeable) {
    versionZero{
        kAlertFlagsUseThemeBackground
      | kAlertFlagsUseControlHierarchy
      | kAlertFlagsAlertIsMovable
      | kAlertFlagsUseThemeControls,'TomZ',kUseThemeWindow,PLUGIN_NAME " Error"
    };
};
