//////////////////////////////////////////////////////////////////////////////////////
//  
//  Version.r - Mac OS version, copyright, and baloon help resources
//
//  Modified public version distributed as part of 24U FM Template 1.0
//  
//  Copyright 2000-2004 by 24U Software. All rights reserved.
//
//  Written by Tomas Zahradnicky & HOnza Koudelka
//
////////////////////////////////////////////////////////////////////////////////
//
//  24U Sample Code - Terms of use
//
//  You may incorporate this sample code into your products without
//  restriction, though the code has been provided "AS IS" and the
//  responsibility for its operation is 100% yours.
//
//  You are not however permitted to redistribute the source
//  as "24U Sample Code" after having made changes.
//
//  If you are going to redistribute the source, we require that
//  you make it clear in the source that the code was descended from
//  24U Sample Code, but that you've made changes.
//
//  If you incorporate this sample code into your own product which you
//  distribute, you must include the following statement in the copyright
//  notices of your documentation: "Portions of the software are based
//  on 24U Sample Code which is copyright 2002-2004 by 24U Software.
//  All rights reserved."
//
////////////////////////////////////////////////////////////////////////

//
//  Add this file to the Mac, FAT, and SuperFAT versions of your plug-in.
//  It will generate the 'vers' and related resources for Mac OS.
//  You should not need to modify this file as all the important constats are
//  defined in the MacWinDefs.h file.
//
////////////////////////////////////////////////////////////////////////////////


#define CALL_NOT_IN_CARBON  1
#define TARGET_API_MAC_OS8  1

#include <MacTypes.r>
#include <SysTypes.r>
#include <AEUserTermTypes.r>
#include <Balloons.r>
#include "MacWinDefs.h"


//////////////////////////////////////////////////////////
//
//  Version Resources Setup Begins Here
//
///////////////////////////////////////////////////////


#define hostname            "FileMaker Pro"
#define targetregion        verUS                   // Script.r

#define filename            PLUGIN_NAME
#define filecreator         CREATOR
#define fileversion         PLUGIN_VERSION_BCD      // version number in BCD
#define filestate           'r'                     // d, a, b, or r
#define filenonrelease      0                       // non-release version number
#define filelongstate       release                 // development, alpha, beta, or release

#define packagename         PKG_NAME
#define packageversion      PKG_VERSION_BCD         // version number in BCD
#define packagestate        'r'                     // d, a, b, or r
#define packagenonrelease   0                       // non-release version number
#define packagelongstate    release                 // development, alpha, beta, or release

#define copyrightnotice     COPY_STATEMENT
#define fileusageinfo       PLUGIN_INFO_MAC


///////////////////////////////////////////////////////////////////////////////////////
//
//  You should not need to edit the rest of this file. If editing the part above
//  does not help you to get the results you expect, then you probably need the
//  "version.r" template to be updated.
//
//////////////////////////////////////////////////////////////////////////////////


#define descstringid    23444

// Our version 1 and 2 resources
resource 'vers' (1) {
    fileversion>>8,
    fileversion&255,
    filelongstate,
    filenonrelease,
    targetregion,
  #if filestate == 'r'
    #if fileversion&15
        $$format("%d.%d.%d", fileversion>>8, (fileversion>>4)&15, fileversion&15),
        $$format("%d.%d.%d \n%s", fileversion>>8, (fileversion>>4)&15, fileversion&15, copyrightnotice)
    #else
        $$format("%d.%d", fileversion>>8, (fileversion>>4)&15),
        $$format("%d.%d \n%s", fileversion>>8, (fileversion>>4)&15, copyrightnotice)
    #endif
 #else
    #if fileversion&15
        $$format("%d.%d.%d%c%d", fileversion>>8, (fileversion>>4)&15, fileversion&15, filestate, filenonrelease),
        $$format("%d.%d.%d%c%d \n%s", fileversion>>8, (fileversion>>4)&15, fileversion&15, filestate, filenonrelease, copyrightnotice)
    #else
        $$format("%d.%d%c%d", fileversion>>8, (fileversion>>4)&15, filestate, filenonrelease),
        $$format("%d.%d%c%d \n%s", fileversion>>8, (fileversion>>4)&15, filestate, filenonrelease, copyrightnotice)
    #endif
 #endif
};

resource 'vers' (2) {
    packageversion>>8,
    packageversion&255,
    packagelongstate,
    packagenonrelease,
    targetregion,
 #if packagestate == 'r'
    #if packageversion&15
        $$format("%d.%d.%d", packageversion>>8, (packageversion>>4)&15, packageversion&15),
        $$format("%s %d.%d.%d", packagename, packageversion>>8, (packageversion>>4)&15, packageversion&15)
    #else
        $$format("%d.%d", packageversion>>8, (packageversion>>4)&15),
        $$format("%s %d.%d", packagename, packageversion>>8, (packageversion>>4)&15)
    #endif
 #else
    #if packageversion&15
        $$format("%d.%d.%d%c%d", packageversion>>8, (packageversion>>4)&15, packageversion&15, packagestate, packagenonrelease),
        $$format("%s %d.%d.%d%c%d", packagename, packageversion>>8, (packageversion>>4)&15, packageversion&15, packagestate, packagenonrelease)
    #else
        $$format("%d.%d%c%d", packageversion>>8, (packageversion>>4)&15, packagestate, packagenonrelease),
        $$format("%s %d.%d%c%d", packagename, packageversion>>8, (packageversion>>4)&15, packagestate, packagenonrelease)
    #endif
 #endif
};


resource 'hfdr' (-5696) {
    hmBalloonHelpVersion, hmDefaultOptions, 0, 0,
    {
        HMSTRResItem {descstringid}
    };

};

resource 'STR ' (descstringid) {
    filename
    "\n\n"
    fileusageinfo
};

resource 'STR ' (-16397) {
    filename
    "\n\n"
    fileusageinfo
};
