//////////////////////////////////////////////////////////////////////////////////////
//  
//  MacWinDefs.h - General plug-in definitions shared across the whole project
//
//  Modified public version distributed as part of 24U FM Template 1.1
//  
//  Copyright 2002-2004 by 24U Software. All rights reserved.
//
//  Written by Tomas Zahradnicky & HOnza Koudelka
//
////////////////////////////////////////////////////////////////////////////////
//
//  24U Sample Code - Terms of use
//
//  You may incorporate this sample code into your products without
//  restriction, though the code has been provided "AS IS" and the
//  responsibility for its operation is 100% yours.
//
//  You are not however permitted to redistribute the source
//  as "24U Sample Code" after having made changes.
//
//  If you are going to redistribute the source, we require that
//  you make it clear in the source that the code was descended from
//  24U Sample Code, but that you've made changes.
//
//  If you incorporate this sample code into your own product which you
//  distribute, you must include the following statement in the copyright
//  notices of your documentation: "Portions of the software are based
//  on 24U Sample Code which is copyright 2002-2004 by 24U Software.
//  All rights reserved."
//
////////////////////////////////////////////////////////////////////////

//
//  This header file contains all necessary constant definitions for building
//  your plug-in. Start your plug-in development by carefully configuring this
//  file, and you'll be ready to start coding for your external functions.
//
////////////////////////////////////////////////////////////////////////////////


#ifndef FMTEMPLATE_MAC_WIN_DEFS
#define FMTEMPLATE_MAC_WIN_DEFS


////////////////////////////////////////////////////////////////////////////////
//
    #pragma mark Shared constants
//
/////////////////////////////////////////////////////////////////////////////
//
//  The following constants configure your plug-in to behave well under
//  FileMaker Pro and to be well recognized on both Mac OS and Windows
//  operating systems. It is recommended to always set all these contants
//  up to contain accurate information about your plug-in.
//

#define PLUGIN_PREFIX       "24FT"      // must be 4 characters long
#define WANT_PREFS          0           // set to 1 if you want to handle preferences
#define WANT_IDLE           0           // set to 1 if you want idle-processing

#define PLUGIN_NAME         "24U Template Plug-In"
#define PLUGIN_VERSION      "1.1"
#define PLUGIN_VERSION_BCD  0x0110      // version number in BCD

#define PLUGIN_INFO         "This plug-in extends FileMaker Pro by adding external functions."

#define COMPANY_NAME        "Your Company"
#define COPY_STATEMENT      "Copyright 2004 by " COMPANY_NAME


////////////////////////////////////////////////////////////////////////////////
//
    #pragma mark Mac-only constants
//
/////////////////////////////////////////////////////////////////////////////
//
//  Define Mac OS specific information for you plug-in below.
//  If you are using our 68K stub instead of compiling your own 68K code
//  for your plug-in, configure the STUB_ALERT constants accordingly.
//

#define FILE_TYPE           'FMXT'      // File type should always be 'FMXT'
#define CREATOR             '24FT'      // Don't forget to register your creator
                                        // code at Apple Computer's web site

#define PKG_NAME            PLUGIN_NAME
#define PKG_VERSION         PLUGIN_VERSION
#define PKG_VERSION_BCD     PLUGIN_VERSION_BCD

#define PLUGIN_INFO_MAC     "This file is a FileMaker Pro plug-in. To make this file effective, drop it into FileMaker Extensions folder and launch FileMaker Pro."

#define STUB_ALERT_ID       23444       // Resource ID to to use for 68K stub alert
#define STUB_ALERT_TEXT     PLUGIN_NAME " requires PowerPC equipped Macintosh to run."


////////////////////////////////////////////////////////////////////////////////
//
    #pragma mark Windows-only constants
//
/////////////////////////////////////////////////////////////////////////////
//
//  Define additional Windows file properties for your plug-in below.
//

#define FILE_NAME_PC        "MyPlugin.fmx"

#define PLUGIN_INFO_PC      "This file is a FileMaker Pro plug-in. To make this file effective, drop it into FileMaker Pro\\System\\ folder and launch FileMaker Pro."

#define COMPANY_URL         "http://www.yourcompany.com/"


#pragma mark -


////////////////////////////////////////////////////////////////////////////////
//
    #pragma mark External function names
//
/////////////////////////////////////////////////////////////////////////////
//
//  Define your plug-in's external function names below.
//
//  To add a function, uncomment the first available commented line, and
//  and change the function name to whatever you want to appear in FileMaker
//  Pro's calculations.
//

#define FUNCTION_1_NAME PLUGIN_PREFIX "-Version"
//#define FUNCTION_2_NAME PLUGIN_PREFIX "-Function2"
//#define FUNCTION_3_NAME PLUGIN_PREFIX "-Function3"
//#define FUNCTION_4_NAME PLUGIN_PREFIX "-Function4"
//#define FUNCTION_5_NAME PLUGIN_PREFIX "-Function5"
//#define FUNCTION_6_NAME PLUGIN_PREFIX "-Function6"
//#define FUNCTION_7_NAME PLUGIN_PREFIX "-Function7"
//#define FUNCTION_8_NAME PLUGIN_PREFIX "-Function8"
//#define FUNCTION_9_NAME PLUGIN_PREFIX "-Function9"


////////////////////////////////////////////////////////////////////////////////
//
    #pragma mark C/C++ function names
//
/////////////////////////////////////////////////////////////////////////////
//
//  Define the actual C/C++ names of your plug-in's external functions below.
//
//  To add a function, uncomment the first available commented line, and
//  and change the function's name at the end of the line to the same name
//  you will use for the function routine in your source code.
//  The number of the function should correspond with the same function's
//  number above.
//

#define C_FUNCTION_1_NAME PluginVersion
//#define C_FUNCTION_2_NAME PluginFunction2
//#define C_FUNCTION_3_NAME PluginFunction3
//#define C_FUNCTION_4_NAME PluginFunction4
//#define C_FUNCTION_5_NAME PluginFunction5
//#define C_FUNCTION_6_NAME PluginFunction6
//#define C_FUNCTION_7_NAME PluginFunction7
//#define C_FUNCTION_8_NAME PluginFunction8
//#define C_FUNCTION_9_NAME PluginFunction9


////////////////////////////////////////////////////////////////////////////////

#endif // FMTEMPLATE_MAC_WIN_DEFS
